Subject: Re: howto register process
From: Kamen TOMOV <[email-masked]>
To: [email-masked]
Date: 12 Nov 2004 14:40:18 +0200

On Fri, Nov 12 2004, Brian Dessent wrote:

> Kamen TOMOV wrote:
> 
> > The parent process is started as a windows server. Then it
> > executes cygwin's fork. When I try to kill any of these with
> > kill() it returns "No such pid".
> 
> Are you sure you're not confusing Cygwin PIDs with Win32 PIDs?  In
> order to make the fork() magic work, Cygwin maintains its own PIDs
> in parallel to the actual windows PID.  All the Cygwin functions
> ...

Thanks Brian. Yes I am sure I'm not confusing them. I tryed a function
that is part of the cygwin's API. It is called cygwin_winpid_to_pid to
get the cygwin's PID but it returns -1 on pids which does not
correspond to a cygwin pid.
 
Regards,
-- 
Kamen TOMOV

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/